#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/mman.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <errno.h>
#include<sys/ipc.h>
#include<sys/shm.h>


#include "osp.h"


int32_t MutProcessId = 0;





int32_t osp_mut_process_init(void)
{
    int32_t fd;

    fd = open("/dev/read_add", O_RDWR | O_SYNC);

    if (-1 == fd)
    {
        MutProcessId =0;
        return 0;
    }

    read(fd, &MutProcessId, 4);
    
    return 0;


}

int32_t osp_get_mut_process_id(void)
{
    return MutProcessId;
}

